Send a batch of events
curl --request POST \
--url https://api.onchainsuite.com/api/v1/events/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"event": "<string>",
"contact": {
"email": "jsmith@example.com",
"walletAddress": "<string>",
"externalId": "<string>"
}
}
]
}
'import requests
url = "https://api.onchainsuite.com/api/v1/events/batch"
payload = { "events": [
{
"event": "<string>",
"contact": {
"email": "jsmith@example.com",
"walletAddress": "<string>",
"externalId": "<string>"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
event: '<string>',
contact: {email: 'jsmith@example.com', walletAddress: '<string>', externalId: '<string>'}
}
]
})
};
fetch('https://api.onchainsuite.com/api/v1/events/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onchainsuite.com/api/v1/events/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'events' => [
[
'event' => '<string>',
'contact' => [
'email' => 'jsmith@example.com',
'walletAddress' => '<string>',
'externalId' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.onchainsuite.com/api/v1/events/batch"
payload := strings.NewReader("{\n \"events\": [\n {\n \"event\": \"<string>\",\n \"contact\": {\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"externalId\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.onchainsuite.com/api/v1/events/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"events\": [\n {\n \"event\": \"<string>\",\n \"contact\": {\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"externalId\": \"<string>\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onchainsuite.com/api/v1/events/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"events\": [\n {\n \"event\": \"<string>\",\n \"contact\": {\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"externalId\": \"<string>\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"accepted": true,
"deduplicated": true,
"error": "<string>"
}
]
}Send a batch of events
Send up to 100 events in one request. Always returns 202, even when individual events fail, so inspect each entry in results.
POST
/
events
/
batch
Send a batch of events
curl --request POST \
--url https://api.onchainsuite.com/api/v1/events/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"event": "<string>",
"contact": {
"email": "jsmith@example.com",
"walletAddress": "<string>",
"externalId": "<string>"
}
}
]
}
'import requests
url = "https://api.onchainsuite.com/api/v1/events/batch"
payload = { "events": [
{
"event": "<string>",
"contact": {
"email": "jsmith@example.com",
"walletAddress": "<string>",
"externalId": "<string>"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
event: '<string>',
contact: {email: 'jsmith@example.com', walletAddress: '<string>', externalId: '<string>'}
}
]
})
};
fetch('https://api.onchainsuite.com/api/v1/events/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onchainsuite.com/api/v1/events/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'events' => [
[
'event' => '<string>',
'contact' => [
'email' => 'jsmith@example.com',
'walletAddress' => '<string>',
'externalId' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.onchainsuite.com/api/v1/events/batch"
payload := strings.NewReader("{\n \"events\": [\n {\n \"event\": \"<string>\",\n \"contact\": {\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"externalId\": \"<string>\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.onchainsuite.com/api/v1/events/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"events\": [\n {\n \"event\": \"<string>\",\n \"contact\": {\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"externalId\": \"<string>\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onchainsuite.com/api/v1/events/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"events\": [\n {\n \"event\": \"<string>\",\n \"contact\": {\n \"email\": \"jsmith@example.com\",\n \"walletAddress\": \"<string>\",\n \"externalId\": \"<string>\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"accepted": true,
"deduplicated": true,
"error": "<string>"
}
]
}Authorizations
Your secret key, for example sk_live_.... Send it as Authorization: Bearer sk_live_.... A sk_test_... key runs in test mode.
Body
application/json
Maximum array length:
100Show child attributes
Show child attributes
Response
202 - application/json
Accepted (check each result).
Show child attributes
Show child attributes

